## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iBezierState Struct Reference
[Mesh plugins, Mesh plugins]

This is the state interface to access the internals of a bezier mesh object. More...

`#include <imesh/bezier.h>`

Inheritance diagram for iBezierState:

[legend]
List of all members.

## Public Member Functions

virtual iBezierFactoryState * | GetFactory ()=0
| Get the factory.

## Detailed Description

This is the state interface to access the internals of a bezier mesh object.

Main creators of instances implementing this interface:

- Bezier mesh object plugin (crystalspace.mesh.object.bezier)
- iMeshObjectFactory::NewInstance()

Main ways to get pointers to this interface:

- scfQueryInterface() on iMeshWrapper::GetMeshObject()

Main users of this interface:

- Bezier Loader plugin (crystalspace.mesh.loader.bezier)

Definition at line 173 of file bezier.h.

## Member Function Documentation

virtual iBezierFactoryState* iBezierState::GetFactory | ( |  | ) | `[pure virtual]`

| Get the factory.

The documentation for this struct was generated from the following file:

- imesh/bezier.h